package ibase.webitm.ejb.fin;

import java.util.*;

class ReceiptElements
{
	private ArrayList invList = new ArrayList();
    private String chequeNo = "";
    private String invoiceId = "";
   	private double chequeAmt = 0;
   	private String searchKey ="";
   	private String custCode = "";
   	HashMap receiptMap = null;
	public void setChequeNo(String chequeNo)
	{
		this.chequeNo = chequeNo;
	}
	public String getChequeNo()
	{
		return this.chequeNo;
	}
	public void setInvoiceList(ReceiptDetail receiptDetail)
	{
		this.invList.add(receiptDetail);
	}
	public ArrayList getInvoiceList()
	{
		return this.invList;

	}
	public void setChequeAmt(double chequeAmt)
	{
		this.chequeAmt = chequeAmt;
	}
	public double getChequeAmt()
	{
		return this.chequeAmt;
	}
	public void setSearchKey(String searchKey)
	{
		this.searchKey = searchKey;
	}
	public String getSearchKey()
	{
		return this.searchKey;
	}
	public void setCustCode(String custCode)
	{
		this.custCode = custCode;
	}
	public String getCustCode()
	{
		return this.custCode;
	}
	public void setReceiptMap(HashMap rm)
	{
		this.receiptMap = rm;
	}
	public HashMap getReceiptMap()
	{
		return this.receiptMap;
	}
}